gstreamermm: Gst::GDPPay Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::GDPPay Class Reference
gstreamermm Plugins

A Wrapper for the gdppay plugin. More...

Inheritance diagram for Gst::GDPPay:
[legend]
Collaboration diagram for Gst::GDPPay:
[legend]

List of all members.

## Public Member Functions
virtual | ~GDPPay ()
GstGDPPay* | gobj ()
| Provides access to the underlying C GObject.
const GstGDPPay* | gobj () const
| Provides access to the underlying C GObject.
GstGDPPay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< bool > | property_crc_header ()
| Calculate and store a CRC checksum on the header.
Glib::PropertyProxy_ReadOnly < bool > | property_crc_header () const
| Calculate and store a CRC checksum on the header.
Glib::PropertyProxy< bool > | property_crc_payload ()
| Calculate and store a CRC checksum on the payload.
Glib::PropertyProxy_ReadOnly < bool > | property_crc_payload () const
| Calculate and store a CRC checksum on the payload.
Glib::PropertyProxy < Gst::DPVersion > | property_version ()
| Version of the GStreamer Data Protocol.
Glib::PropertyProxy_ReadOnly < Gst::DPVersion > | property_version () const
| Version of the GStreamer Data Protocol.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< GDPPay > | create ()
| Creates a new gdppay plugin with a unique name.
static Glib::RefPtr< GDPPay > | create (const Glib::ustring& name)
| Creates a new gdppay plugin with the given name.
## Protected Member Functions
| GDPPay ()
| GDPPay (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::GDPPay > | wrap (GstGDPPay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the gdppay plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::GDPPay::~GDPPay | ( |  | ) | `[virtual]`

Gst::GDPPay::GDPPay | ( |  | ) | `[protected]`

Gst::GDPPay::GDPPay | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<GDPPay> Gst::GDPPay::create | ( |  | ) | `[static]`

Creates a new gdppay plugin with a unique name.

static Glib::RefPtr<GDPPay> Gst::GDPPay::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new gdppay plugin with the given name.

static GType Gst::GDPPay::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Element.

GstGDPPay* Gst::GDPPay::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

const GstGDPPay* Gst::GDPPay::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Element.

GstGDPPay* Gst::GDPPay::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Element.

Glib::PropertyProxy< bool > Gst::GDPPay::property_crc_header | ( |  | ) |

Calculate and store a CRC checksum on the header.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::GDPPay::property_crc_header | ( |  | ) | const

Calculate and store a CRC checksum on the header.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::GDPPay::property_crc_payload | ( |  | ) |

Calculate and store a CRC checksum on the payload.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::GDPPay::property_crc_payload | ( |  | ) | const

Calculate and store a CRC checksum on the payload.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Gst::DPVersion > Gst::GDPPay::property_version | ( |  | ) |

Version of the GStreamer Data Protocol.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gst::DPVersion > Gst::GDPPay::property_version | ( |  | ) | const

Version of the GStreamer Data Protocol.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::GDPPay > wrap | ( | GstGDPPay * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/gdppay.h